package br.com.camilolopes.dao;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.AnnotationConfiguration;

public class DAO {
	private static final ThreadLocal<Session> threadlocal = new ThreadLocal<Session>();
	private static final SessionFactory sessionFactory = new AnnotationConfiguration().configure().buildSessionFactory();
	
	public DAO() {
		// TODO Auto-generated constructor stub
	}
	
	public static Session getSession(){
		Session session = threadlocal.get(); 
		if(session ==null){
			session = sessionFactory.openSession();
			threadlocal.set(session);
		}		
		return  session; 
	}
	
	public void begin(){
		getSession().beginTransaction();
	}
	
	public void commit(){
		getSession().getTransaction().commit();
	}
	
	public void rollback(){
		getSession().getTransaction().rollback();
	}
	
	public void close(){
		getSession().close();
	}
	
}
